## nova 19.0.1

=== debian/changelog ===
nova (2:19.0.1-0ubuntu2.1) disco-security; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * SECURITY UPDATE: ensure underlying environment details not leaked in
    server fault
    - d/p/CVE-2019-14433.patch: replace non-admin server fault message
      with exception type class name in nova/compute/utils.py.
    - CVE-2019-14433

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Aug 2019 12:16:27 -0400

nova (2:19.0.1-0ubuntu2) disco; urgency=medium

  * d/p/fix-python3-compatibility-of-rbd-get_fsid.patch: Cherry-picked from
    upstream stable/stein branch to ensure librados get_fsid return value
    is decoded (LP: #1816468).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Jul 2019 16:08:15 -0400

nova (2:19.0.1-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/p/skip-openssl-1.1.1-tests.patch: Dropped as this is now properly fixed
    by xenapi-agent-change-openssl-error-handling.patch.

  [ Sahid Orentino Ferdjaoui ]
  * New upstream release for OpenStack Stein (LP: #1831754)
  * d/p/eventlet-monkey-patching-should-be-as-early-as-possible.patch: Dropped.
    Fixed upstream in 19.0.1.
  * d/p/xenapi-agent-change-openssl-error-handling.patch: Dropped. Fixed
    upstream in 19.0.1.
  * d/p/bug_1825882.patch: Dropped. Fixed upstream in 19.0.1.
  * d/p/bug_1826523.patch: Dropped. Fixed upstream in 19.0.1.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 07 Jun 2019 10:29:14 +0200

nova (2:19.0.0-0ubuntu2.3) disco; urgency=medium

  * d/p/bug_1825882.patch: Cherry-picked from upstream to ensure
    virsh disk attach does not fail silently (LP: #1825882).
  * d/p/bug_1826523.patch: Cherry-picked from upstream to ensure
    always disconnect volumes after libvirt exceptions (LP: #1826523).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 16 May 2019 10:54:46 +0200

nova (2:19.0.0-0ubuntu2.2) disco; urgency=medium

  * d/p/xenapi-agent-change-openssl-error-handling.patch: Cherry-picked from
    upstream to ensure xenapi agent only raises a RuntimeError exception
    when openssl returns a non-zero exit code (LP: #1771506).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 May 2019 17:17:03 -0400

nova (2:19.0.0-0ubuntu2.1) disco; urgency=medium

  * d/gbp.conf: Create stable/stein branch.
  * d/p/eventlet-monkey-patching-should-be-as-early-as-possible.patch:
    Cherry-picked from upstream stable/stein review to fix py3+wsgi+ssl crash
    (LP: #1808951).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Apr 2019 13:10:09 -0400

nova (2:19.0.0-0ubuntu2) disco; urgency=medium

  * d/p/skip-openssl-1.1.1-tests.patch: Skip openssl 1.1.1 incompatible
    tests from 18.04 onwards.

 -- James Page <james.page@ubuntu.com>  Mon, 15 Apr 2019 08:42:30 +0100

nova (2:19.0.0-0ubuntu1) disco; urgency=medium

  * Upstream release for OpenStack Stein.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 12 Apr 2019 11:31:18 +0100

nova (2:19.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: track 19.x series.
  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:10:50 +0000

nova (2:19.0.0~b1~git2019031419.b7bd97bc88-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2019 14:11:20 +0000

nova (2:19.0.0~b1~git2019013113.33aad0fe41-0ubuntu2) disco; urgency=medium

  * d/control: Add python3-websockify to Depends (LP: #1108935). Also move
    nova-common binary package to the end of d/control file as it makes more
    sense to be after python3-nova.
  * d/p/skip-openssl-1.1.1-tests.patch: Updated to use
    lsb_release.get_distro_information as lsb_release.get_lsb_information is
    not available in the disco version.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Feb 2019 10:04:09 -0500

nova (2:19.0.0~b1~git2019013113.33aad0fe41-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ensure-rbd-auth-fallback-uses-matching-credentials.patch: Dropped.
    Fixed in new upstream snapshot.
  * d/p/*: Rebased.
  * d/p/skip-py3.7-tests.patch, d/p/py37-misc-fixes.patch: Dropped.
    The py37 issues have been fixed upstream by Christ Dent in
    https://review.openstack.org/#/c/624055/.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 13:17:41 -0500

nova (2:19.0.0~b1~git2018120609.c9dca64fa6-0ubuntu4) disco; urgency=medium

  * d/nova-api-os-compute.*, d/control, d/tests/nova-api: Drop systemd init in
    favor of apache2+mod_wsgi (LP: #1812672). Also drop libapache2-mod-wsgi
    from nova-placement-api.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Jan 2019 09:29:10 -0500

nova (2:19.0.0~b1~git2018120609.c9dca64fa6-0ubuntu3) disco; urgency=medium

  * d/tests/nova-daemons: sqlalchemy now defaults to mysqldb so we must override
    the driver to use pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Jan 2019 14:20:57 -0500

nova (2:19.0.0~b1~git2018120609.c9dca64fa6-0ubuntu2) disco; urgency=medium

  * d/p/ensure-rbd-auth-fallback-uses-matching-credentials.patch: Cherry-
    picked from upstream to ensure ceph backend continues to work for upgrades
    from pre-Ocata (LP: #1809454).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Dec 2018 09:20:12 -0500

nova (2:19.0.0~b1~git2018120609.c9dca64fa6-0ubuntu1) disco; urgency=medium

  * d/tests/control, d/tests/nova-daemons: Switch to using mysql-server
    databases in autopkgtests.
  * New upstream snapshot for OpenStack Stein.
  * d/control: Ensure python3-migrate version is compatable with sqlite>=3.26
    (LP: #1807262).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Dec 2018 09:31:17 -0500


