## nova 19.0.3

=== debian/changelog ===
nova (2:19.0.3-0ubuntu1) disco; urgency=medium

  * d/control: Switch to using qemu-system for nova-compute-qemu,
    ensuring that all appropriate qemu binaries are avaliable for
    libvirt (LP: #1833406).
  * New upstream point release for OpenStack Stein (LP: #1849192).
  * d/p/fix-python3-compatibility-of-rbd-get_fsid.patch,
    d/p/CVE-2019-14433.patch: Dropped. Fixed in upstream 19.0.2 release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Oct 2019 15:26:18 -0400
