## nova 19.3.2

=== debian/changelog ===
nova (2:19.3.2-0ubuntu1~cloud2) bionic-stein; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp1821755.patch: Error anti-affinity violation on
    migrations (LP #1821755).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Oct 2021 09:04:32 +0000

nova (2:19.3.2-0ubuntu1~cloud1) bionic-stein; urgency=medium

  [ Hemanth Nakkina ]
  * d/p/0001-Update-pci-stat-pools-based-on-PCI-device-changes.patch: Update pci
    stats pools based on PCI device changes (LP: #1892361).

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Mon, 08 Feb 2021 10:34:43 +0530

nova (2:19.3.2-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1906271).
  * d/p/lp1893263.patch: Removed. Patch has landed upstream and is included
    in this point release.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 01 Dec 2020 08:41:20 +0000

nova (2:19.3.1-0ubuntu1~cloud1) bionic-stein; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp1893263.patch: Allow tap interface with multiqueue (LP: #1893263).

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 12 Nov 2020 15:45:51 +0000

nova (2:19.3.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1896478).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 01 Oct 2020 13:31:33 +0000

nova (2:19.3.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1888203).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 03 Aug 2020 13:07:50 +0000

nova (2:19.2.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1880163)

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 May 2020 14:07:38 -0400

nova (2:19.1.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1871126).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 12:27:20 -0400

nova (2:19.0.3-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 28 Oct 2019 13:30:50 +0000
