=== debian/control ===
--- 
+++ 
@@ -126,8 +126,8 @@
  python3-cjson,
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/nova
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
 
 Package: nova-ajax-console-proxy
 Architecture: all
