## nova 20.0.0

=== debian/changelog ===
nova (2:20.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 11:02:01 -0400

nova (2:20.0.0~rc1-0ubuntu3) eoan; urgency=medium

  * d/tests/nova-daemons: Skip check of nova-conductor daemon as
    keystone is not configured and running as part of autopkgtest
    setup, resulting in a test failure on restart (LP: #1847039).

 -- James Page <james.page@ubuntu.com>  Wed, 09 Oct 2019 12:26:20 +0100

nova (2:20.0.0~rc1-0ubuntu2) eoan; urgency=medium

  * d/py3dist-overrides: Add SQLAlchemy to overrides since the run-time
    Depend for python3-sqlalchemy is being overridden.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Oct 2019 08:10:36 -0400

nova (2:20.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: track 20.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-rsvgconverter.patch: Drop
    sphinxcontrib.rsvgconverter as it is currently not packaged for Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Oct 2019 10:25:40 -0400

nova (2:20.0.0~b2~git2019080821.af40e3d1a6-0ubuntu2) eoan; urgency=medium

  * d/control, d/nova-consoleauth.init.in, d/nova-consoleauth.manpages:
    Drop the rest of nova-consoleauth inline with upstream removal.
  * d/py3dist-overrides: Add cryptography to overrides since the run-time
    Depend for python3-nova is being overridden.
  * d/control, d/rules, d/nova-placement-api.{apache2,conf}, d/tests/control:
    Drop placement API in line with upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Aug 2019 11:56:49 -0400

nova (2:20.0.0~b2~git2019080821.af40e3d1a6-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-python3-compatibility-of-rbd-get_fsid.patch: Dropped. Fixed in
    new upstream snapshot.
  * d/p/CVE-2019-14433.patch: Dropped. Fixed in new upstream snapshot.
  * d/control: Drop min version of python3-cryptography to 2.6. According to
    upstream commit 6caedfd97675940eb3cf07e2f019926dae45d02c, version 2.6
    has the required support for ed25519 ssh keys.
  * d/control, d/nova-novncproxy.init.in, d/nova-serialproxy.init.in,
    d/nova-spiceproxy.init.in, d/tests/*: Remove nova-consoleauth inline with
    upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 21:39:04 -0400

nova (2:20.0.0~b1~git2019061016.1316c1c285-0ubuntu4) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * SECURITY UPDATE: ensure underlying environment details not leaked in
    server fault
    - d/p/CVE-2019-14433.patch: replace non-admin server fault message
      with exception type class name in nova/compute/utils.py.
    - CVE-2019-14433

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Aug 2019 12:08:30 -0400

nova (2:20.0.0~b1~git2019061016.1316c1c285-0ubuntu3) eoan; urgency=medium

  * Changes required for the MySQL 8.0 transition
    - d/p/add-mysql8-compatibility.patch: avoid use of in CI test setup
    - d/t/nova-daemons: Avoid usage of IDENTIFIED BY on GRANT

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 01 Aug 2019 11:33:41 +0200

nova (2:20.0.0~b1~git2019061016.1316c1c285-0ubuntu2) eoan; urgency=medium

  [ James Page ]
  * d/*: wrap-and-sort -bast.
  * d/control: Switch to using qemu-system for nova-compute-qemu,
    ensuring that all appropriate qemu binaries are avaliable for
    libvirt (LP: #1833406).
  * d/control: Drop alternative runtime dependency on kvm for
    nova-compute-kvm; package is long gone in Ubuntu.

  [ Corey Bryant ]
  * d/p/fix-python3-compatibility-of-rbd-get_fsid.patch: Cherry-picked from
    upstream master branch to ensure librados get_fsid return value
    is decoded (LP: #1816468).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Jul 2019 16:04:25 -0400

nova (2:20.0.0~b1~git2019061016.1316c1c285-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/eventlet-monkey-patching-should-be-as-early-as-possible.patch,
    d/p/xenapi-agent-change-openssl-error-handling.patch,
    d/p/bug_1825882.patch,
    d/p/bug_1826523.patch: Dropped. Fixed in upstream snapshot.
  * d/p/arm-console-patch.patch: Rebased.
  * d/rules: Update PBR_VERSION to handle ~git versioning.
  * d/p/skip-test-needing-mock-3.patch: Skip until python3-mock 3.0.0 is
    available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 10 Jun 2019 17:00:28 -0400

nova (2:19.0.0-0ubuntu6) eoan; urgency=medium

  * Drop skip-openssl-1.1.1-tests.patch, now properly fixed with xenapi-
    agent-change-openssl-error-handling.patch.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 May 2019 10:44:19 +0100

nova (2:19.0.0-0ubuntu5) eoan; urgency=medium

  * d/p/bug_1825882.patch: Cherry-picked from upstream to ensure
    virsh disk attach does not fail silently (LP: #1825882).
  * d/p/bug_1826523.patch: Cherry-picked from upstream to ensure
    always disconnect volumes after libvirt exceptions (LP: #1826523).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 16 May 2019 10:41:27 +0200

nova (2:19.0.0-0ubuntu4) eoan; urgency=medium

  * d/p/xenapi-agent-change-openssl-error-handling.patch: Cherry-picked from
    upstream to ensure xenapi agent only raises a RuntimeError exception
    when openssl returns a non-zero exit code (LP: #1771506).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 May 2019 17:10:47 -0400

nova (2:19.0.0-0ubuntu3) eoan; urgency=medium

  * d/p/eventlet-monkey-patching-should-be-as-early-as-possible.patch:
    Cherry-picked from upstream master branch to fix py3+wsgi+ssl crash
    (LP: #1808951).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Apr 2019 09:51:42 -0400
