=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools (>= 16.0),
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.8.0),
  python3-sphinx-feature-classification (>= 0.2.0),
 Build-Depends-Indep:
  bandit,
@@ -31,39 +31,42 @@
  python3-barbicanclient (>= 4.5.2),
  python3-castellan (>= 0.16.0),
  python3-cinderclient (>= 1:3.3.0),
+ python3-contextlib2 (>= 0.5.5),
  python3-coverage (>= 4.0),
- python3-cryptography (>= 2.1),
+ python3-cryptography (>= 2.6),
  python3-cursive (>= 0.2.1),
  python3-dateutil (>= 2.5.3),
  python3-ddt (>= 1.0.1),
  python3-decorator (>= 3.4.0),
- python3-eventlet (>= 0.18.2),
+ python3-eventlet (>= 0.20.0),
  python3-fixtures (>= 3.0.0),
+ python3-futurist (>= 1.8.0),
  python3-gabbi (>= 1.35.0),
  python3-glanceclient (>= 1:2.8.0),
  python3-greenlet (>= 0.4.10),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-ironicclient (>= 2.7.0),
  python3-iso8601 (>= 0.1.11),
  python3-jinja2 (>= 2.10),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.9.0),
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystoneauth1 (>= 3.16.0),
+ python3-keystonemiddleware (>= 4.20.0),
  python3-lxml (>= 3.4.1),
  python3-microversion-parse (>= 0.2.1),
  python3-migrate (>= 0.11.0-3ubuntu1~),
- python3-mock (>= 2.0.0),
+ python3-mock (>= 3.0.0),
  python3-mox3 (>= 0.20.0),
  python3-netaddr (>= 0.7.18),
  python3-netifaces (>= 0.10.4),
  python3-neutronclient (>= 1:6.7.0),
- python3-openstackdocstheme (>= 1.19.0),
+ python3-openstackdocstheme (>= 1.30.0),
+ python3-openstacksdk (>= 0.35.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-brick (>= 2.6.1),
- python3-os-resource-classes (>= 0.3.0),
- python3-os-service-types (>= 1.2.0),
+ python3-os-resource-classes (>= 0.4.0),
+ python3-os-service-types (>= 1.7.0),
  python3-os-testr (>= 1.0.0),
- python3-os-traits (>= 0.8.0),
+ python3-os-traits (>= 0.16.0),
  python3-os-vif (>= 1.14.0),
  python3-os-win (>= 3.0.0),
  python3-os-xenapi (>= 0.3.3),
@@ -74,19 +77,19 @@
  python3-oslo.db (>= 4.44.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 6.3.0),
+ python3-oslo.messaging (>= 7.0.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.35.0),
- python3-oslo.privsep (>= 1.32.0),
+ python3-oslo.privsep (>= 1.33.2),
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.rootwrap (>= 5.8.0),
  python3-oslo.serialization (>= 2.21.1),
- python3-oslo.service (>= 1.33.0),
+ python3-oslo.service (>= 1.40.1),
  python3-oslo.upgradecheck (>= 0.1.1),
- python3-oslo.utils (>= 3.37.0),
- python3-oslo.versionedobjects (>= 1.33.3),
+ python3-oslo.utils (>= 3.40.2),
+ python3-oslo.versionedobjects (>= 1.35.0),
  python3-oslo.vmware (>= 2.17.0),
- python3-oslotest (>= 1:3.2.0),
+ python3-oslotest (>= 1:3.8.0),
  python3-osprofiler (>= 1.4.0),
  python3-paramiko (>= 2.0.0),
  python3-paste (>= 2.0.2),
@@ -95,7 +98,8 @@
  python3-pkg-resources (>= 21.0.0),
  python3-prettytable (>= 0.7.1),
  python3-psutil (>= 3.2.2),
- python3-psycopg2 (>= 2.6.2),
+ python3-psycopg2 (>= 2.7),
+ python3-pycodestyle (>= 2.0.0),
  python3-pymysql (>= 0.7.6),
  python3-pypowervm (>= 1.1.15),
  python3-reno (>= 2.5.0),
@@ -107,7 +111,7 @@
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.actdiag (>= 0.8.5),
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy (>= 1.2.18),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-taskflow (>= 2.16.0),
@@ -120,14 +124,14 @@
  python3-webob (>= 1:1.8.2),
  python3-websockify (>= 0.8.0),
  python3-wsgi-intercept (>= 1.7.0),
- python3-zvmcloudconnector (>= 1.1.1),
+ python3-zvmcloudconnector (>= 1.3.0),
 Build-Conflicts:
  python-cjson,
  python3-cjson,
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/nova
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
 
 Package: nova-ajax-console-proxy
 Architecture: all
@@ -273,7 +277,6 @@
  nova-compute-vmware (<< 2:18.0.0~b2-0ubuntu3~),
  nova-conductor (<< 2:18.0.0~b2-0ubuntu3~),
  nova-console (<< 2:18.0.0~b2-0ubuntu3~),
- nova-consoleauth (<< 2:18.0.0~b2-0ubuntu3~),
  nova-network (<< 2:18.0.0~b2-0ubuntu3~),
  nova-novncproxy (<< 2:18.0.0~b2-0ubuntu3~),
  nova-placement-api (<< 2:18.0.0~b2-0ubuntu3~),
@@ -293,7 +296,6 @@
  nova-compute-vmware (<< 2:18.0.0~b2-0ubuntu3~),
  nova-conductor (<< 2:18.0.0~b2-0ubuntu3~),
  nova-console (<< 2:18.0.0~b2-0ubuntu3~),
- nova-consoleauth (<< 2:18.0.0~b2-0ubuntu3~),
  nova-network (<< 2:18.0.0~b2-0ubuntu3~),
  nova-novncproxy (<< 2:18.0.0~b2-0ubuntu3~),
  nova-placement-api (<< 2:18.0.0~b2-0ubuntu3~),
