=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 #export DH_VERBOSE=1
 
 SHELL := /bin/sh -e
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')                                                  
+export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
@@ -47,7 +51,7 @@
 	crudini --set $(CURDIR)/etc/nova/nova.conf database connection sqlite:////var/lib/nova/nova.sqlite
 	crudini --set $(CURDIR)/etc/nova/nova.conf api_database connection sqlite:////var/lib/nova/nova_api.sqlite
 	crudini --set $(CURDIR)/etc/nova/nova.conf cells enable False
-	crudini --set $(CURDIR)/etc/nova/nova.conf placement os_region_name openstack
+	crudini --set $(CURDIR)/etc/nova/nova.conf os_region_name openstack
 	find $(CURDIR)/debian/python3-nova -name *.tpl -exec chmod a-x {} \;
 	dh_install --fail-missing -Xbin/nova-all
 	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
