## nova 20.0.1

=== debian/changelog ===
nova (2:20.0.1-0ubuntu1) eoan; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Train (LP: #1853311).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 02 Dec 2019 15:11:50 +0100
