=== debian/changelog ===
nova (2:20.2.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train (LP: #1879725).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 22 May 2020 06:33:16 +0000

nova (2:20.1.1-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train (LP: #1871125).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 10:35:14 -0400
