## nova 20.6.1

=== debian/changelog ===
nova (2:20.6.1-0ubuntu1~cloud1) bionic-train; urgency=medium

  * d/p/lp1821755.patch: Error anti-affinity violation on
    migrations (LP #1821755).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Mon, 27 Sep 2021 21:12:17 +0000

nova (2:20.6.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1935031).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Jul 2021 11:28:58 +0000

nova (2:20.6.0-0ubuntu1~cloud1) bionic-train; urgency=medium

  * d/p/restore-migrate-data-vifs(-tests).patch: Cherry-picked from
    upstream stable/train to fix live migration of VM's using the single
    port binding workflow (LP: #1888395).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Jun 2021 16:16:47 -0400

nova (2:20.6.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Train (LP: #1923038).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 13 Apr 2021 11:48:48 +0000

nova (2:20.5.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1915787).
  * d/p/lp1892361.patch: Removed after change landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Feb 2021 08:24:20 +0000

nova (2:20.4.1-0ubuntu1~cloud1) bionic-train; urgency=medium

  * d/p/lp1892361.patch: Update pci stat pools based on PCI device changes (LP: #1892361).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 22 Jan 2021 15:12:03 +0000

nova (2:20.4.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1906271).
  * d/p/lp1893263.patch: Removed. Change landed upstream in this point release.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 01 Dec 2020 09:22:17 +0000

nova (2:20.4.0-0ubuntu1~cloud1) bionic-train; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp1893263.patch: Allow tap interface with multiqueue (LP: #1893263).

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/control: Merge patch adding systemd from ca-patches.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 12 Nov 2020 15:30:30 +0000

nova (2:20.4.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1896477).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 01 Oct 2020 13:24:23 +0000

nova (2:20.3.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1883892).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 17 Jun 2020 13:47:24 +0000

nova (2:20.2.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 26 May 2020 23:11:34 +0000
