=== debian/control ===
--- 
+++ 
@@ -125,13 +125,14 @@
  python3-websockify (>= 0.8.0),
  python3-wsgi-intercept (>= 1.7.0),
  python3-zvmcloudconnector (>= 1.3.0),
+ systemd,
 Build-Conflicts:
  python-cjson,
  python3-cjson,
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/nova
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
 
 Package: nova-ajax-console-proxy
 Architecture: all
